"use strict";
const { Command } = require('@oclif/core');
const { execSync } = require('child_process');
class CloneCommand extends Command {
    async run() {
        const { args } = this.parse(CloneCommand);
        const folderName = args.folderName;
        try {
            execSync(`git clone https://linkfields@dev.azure.com/linkfields/Link%20Works/_git/LW ${folderName}`, { stdio: 'inherit' });
            this.log('Repository cloned successfully!');
        }
        catch (error) {
            this.error('Error cloning repository:', error.message);
            process.exit(1);
        }
    }
}
CloneCommand.description = 'Clones a repository from a given URL';
CloneCommand.args = [{ name: 'folderName', required: true, description: 'Please Provide a Name of the folder to clone the repository into' }];
module.exports = CloneCommand;
